RubyGems Navigation menu

blood_contracts-core 0.4.2

Core classes for data validation with contracts approach (using Either + Writer monad combination & ADT for composition)

Versions:

  1. 0.4.4 - August 30, 2019 (23 KB)
  2. 0.4.3 - August 30, 2019 (23 KB)
  3. 0.4.2 - August 29, 2019 (22.5 KB)
  4. 0.4.1 - July 04, 2019 (21.5 KB)
  5. 0.4.0 - July 02, 2019 (21.5 KB)
Show all versions (14 total)

Development Dependencies (5):

  • bundler ~> 2.0
  • pry >= 0
  • rake ~> 10.0
  • rspec ~> 3.0
  • rubocop ~> 0.49
  • Owners:

    Pushed by:

    Authors:

    • Sergey Dolganov (sclinede)

    SHA 256 checksum:

    2f7aa442140a34fe008dbf615e3310eeaaca707f85608ceee7c510caa02dcc52

    Total downloads 10,096

    For this version 587

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4

    Links: